/*
  Copyright (C) 2008 Ben Asselstine
  Written by Ben Asselstine

  This file is part of fileschanged.

  fileschanged is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  fileschanged is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with fileschanged; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301  USA
*/
#ifndef FILESCHANGED_MONITOR_H
#define FILESCHANGED_MONITOR_H
#include <fam.h>
#include "fileschanged_priv.h"
#include "wl.h"

int monitor_begin(struct fileschanged_priv_t *f, void *hook, int (*handler)(char *filename, enum fileschanged_action_enum_t action, void *hook));
int monitor_stop(struct fileschanged_priv_t *f);
int monitor_pause_toggle(struct fileschanged_priv_t *f);
int monitor_handle_events(struct fileschanged_priv_t *f, int secs_to_wait_for_pending, int secs_to_handle_pending, void *hook, int (*handler)(char *filename, enum fileschanged_action_enum_t action, void *hook));
#endif
